Subject: [bug#40356] Update meson package Description in build-tools.scm

From: Naga Malleswari <[email-masked]>
Date: Wed, 1 Apr 2020 11:24:09 +0530

Hi

On 01/04/20 4:13 am, Jonathan Brielmaier wrote:
> On 31.03.20 22:10, Naga Malleswari wrote:
>> Hi
>>
>>
>> I guess i am following the correct method.
> Hello Naga,
>
> yes, you are following the correct method for submitting patches.
> Although we already have meson at version 0.53.2, just not in the master
> branch yet.
>
> It is only in the core-updates branch:
> https://git.savannah.gnu.org/cgit/guix.git/commit/?h=core-updates&id=275f874958ddbbb68ddce93be2cb65bec7ac1bd4
Thank you.

I understood the process.  I realize that i have done the same changes
like the patch you have given as well.

This means i can go ahead with similar process to update any packages on
the basis of the manual you shared below.

I suppose i cannot update Polari in gnome.scm as well until the
core-updates branch merges with master.

>
> This is due to the fact that many (some thousand) packages depend on
> meson. So if we update meson, we have to rebuild all those packages.
> This should not happen on the master branch. For more information see
> point 8 at
> http://guix.gnu.org/manual/en/html_node/Submitting-Patches.html#Submitting-Patches

I now understood why this happened. Ealier when i went through this
manual i couldnt get the essence of it.

Do I have to close this issue as it is no longer relavent.

> Good night
> Jonathan
-- 
Regards
NagaMalli